import { ProFormColumnsType } from '@ant-design/pro-components';

function formConfig(enumList?: { [key: string]: any }): ProFormColumnsType<{
  name: string;
  state: string;
}>[] {
  return [
    {
      title: '所属频道',
      dataIndex: 'workDirection',
      formItemProps: {
        style: { marginBottom: 10 },
        rules: [
          {
            required: true,
            message: '此项为必填项',
          },
        ],
      },
      valueEnum: () => {
        let arr = enumList?.WORK_DIRECTION?.values;
        return arr
          ? new Map([...arr]?.map(({ value, description }: any) => [value, description]))
          : {};
      },
    },
    {
      title: '分类名',
      dataIndex: 'name',
      formItemProps: {
        style: { marginBottom: 10 },
        rules: [
          {
            required: true,
            message: '此项为必填项',
          },
        ],
      },
    },
    {
      title: '排序',
      dataIndex: 'sortNum',
      valueType: 'digit',
      formItemProps: {
        style: { marginBottom: 10 },
      },
    },
  ];
}

export default formConfig;
