import { api } from '@/services/api';
import { request } from '@umijs/max';

interface Prams {
  wechatMiniappId?: string;
  distributorId?: string;
  appType?: 1 | 2;
  bookId?: string;
  startTime?: string;
  endTime?: string;
  userId: string;
  pageNum: string;
  pageSize: string;
}

/**
 * 短篇小说阅读记录管理
 * @param {Object} params - 参数对象
 * @param {string} params.wechatMiniappId - 微信小程序本地 id
 * @param {string} params.distributorId - 分销商 id
 * @param {1|2} params.appType - 1微信小程序 2 抖音小程序
 * @param {string} params.userId - 用户ID
 * @param {string} params.bookId - 小说ID
 * @param {string} params.startTime - 开始时间
 * @param {string} params.endTime - 结束时间
 * @param {string} params.pageNum - 分页
 * @param {string} params.pageSize - 数量
 */
export async function apiShortBookOrderListOfPage(params: Prams) {
  return request(api + `/bookDistributionPlatform/admin/shortBookOrder/listOfPage`, {
    method: 'GET',
    params,
  });
}
/**
 * 长篇小说阅读记录管理
 * @param {Object} params - 参数对象
 * @param {string} params.wechatMiniappId - 微信小程序本地 id
 * @param {string} params.distributorId - 分销商 id
 * @param {1|2} params.appType - 1微信小程序 2 抖音小程序
 * @param {string} params.userId - 用户ID
 * @param {string} params.bookId - 小说ID
 * @param {string} params.startTime - 开始时间
 * @param {string} params.endTime - 结束时间
 * @param {string} params.pageNum - 分页
 * @param {string} params.pageSize - 数量
 */
export async function apiLongBookOrderListOfPage(params: Prams) {
  return request(api + `/bookDistributionPlatform/admin/longBookOrder/listOfPage`, {
    method: 'GET',
    params,
  });
}
