import { api } from '@/services/api';
import { request } from '@umijs/max';

/**
 * 短篇小说付费信息配置
 */
export async function apiShortBookInfoBookConfig(data: any) {
  return request(api + `/bookDistributionPlatform/admin/shortBookInfo/bookConfig`, {
    method: 'POST',
    data,
  });
}

/**
 * 短篇小说信息列表
 */
export async function apiShortBookInfoList(params: any) {
  return request(api + `/bookDistributionPlatform/admin/shortBookInfo/list`, {
    method: 'GET',
    params,
  });
}
/**
 * 短篇小说段落列表
 */
export async function apiShortBookInfoChapterList(params: any) {
  return request(api + `/bookDistributionPlatform/admin/shortBookInfo/paragraphList`, {
    method: 'GET',
    params,
  });
}

/**
 * 短篇小说付费配置详情
 */
export async function apiShortBookInfoConfigDetail(bookId: any) {
  return request(api + `/bookDistributionPlatform/admin/shortBookInfo/configDetail/${bookId}`, {
    method: 'GET',
  });
}
/**
 * 全部短篇小说列表
 */
export async function apiShortBookInfoChapterListAll() {
  return request(api + `/bookDistributionPlatform/admin/shortBookInfo/listAll`, {
    method: 'GET',
  });
}
/**
 * 短篇小说全部章节列表
 */
export async function apiShortBookInfoAllList(bookId: any) {
  return request(
    api +
      `/bookDistributionPlatform/admin/shortBookInfo/paragraphAllList/${bookId}?backContent=${true}`,
    {
      method: 'GET',
    },
  );
}
